---
updatedAt: 2025-09-15T08:54:46.000Z
agentTools:
  siteIndex: https://developer.jamf.com/llms.txt
  projectIndex: https://developer.jamf.com/jamf-pro/v11.14.0/llms.txt
---

# Updates a patch software title by ID. (Deprecated) Please transition use to Jamf Pro API endpoint "/v2/patch-software-title-configurations/{id}".

Including an empty package element <package/> within the version element will disassociate any previously associated packages with that version of the software title.

> 📘 Important
>
> The `source_id` must correspond with the `id` of the patch source. If using the Jamf internal patch source, use the value of 1.

```xml Sample Request Body
<patch_software_title>
	<name>Google Chrome</name>
	<name_id>GoogleChrome</name_id>
	<source_id>1</source_id>
	<notifications>
		<web_notification>true</web_notification>
		<email_notification>true</email_notification>
	</notifications>
	<categories>
		<id>-1</id>
		<name>Unknown</name>
	</categories>
</patch_software_title>
```

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "11.12.0",
    "title": "Classic API",
    "license": {
      "name": "Jamf API License Agreement",
      "url": "https://developer.jamf.com/developer-guide/docs/api-license-agreement"
    }
  },
  "security": [
    {
      "basicAuth": []
    }
  ],
  "x-readme": {
    "samples-languages": [
      "curl",
      "swift",
      "ruby",
      "python"
    ],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "paths": {
    "/patchsoftwaretitles/id/{id}": {
      "put": {
        "x-explorer-enabled": false,
        "tags": [
          "patchsoftwaretitles"
        ],
        "deprecated": true,
        "summary": "Updates a patch software title by ID. (Deprecated) Please transition use to Jamf Pro API endpoint \"/v2/patch-software-title-configurations/{id}\".",
        "description": "Including an empty package element <package/> within the version element will disassociate any previously associated packages with that version of the software title.",
        "operationId": "PatchsoftwaretitlesIdByIdPut",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "ID value to update by",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Created"
          }
        }
      }
    }
  },
  "x-si-base": "swagger.yaml",
  "x-github-repo": "jamf/Classic-API-Swagger-Specification",
  "x-github-sha": "070fac498a589aaa0958641a68e4065584fc244a",
  "servers": [
    {
      "url": "https://yourServer.jamfcloud.com/JSSResource"
    }
  ],
  "components": {
    "securitySchemes": {
      "basicAuth": {
        "type": "http",
        "scheme": "basic"
      }
    }
  }
}
```